@charset "utf-8";
/* CSS Document */

*, *::after, *::before {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

:root {
    --shade-0: #080809;
    --shade-1: #131215;
    --shade-2: #201e22;
    --shade-3: #2c292f;
    --shade-4: #39353d;
    --shade-5: #504b56;
    --shade-6: #696370;
    --shade-7: #807989;
    --shade-8: #97909f;
    --shade-9: #aba6b2;
    --shade-10: #c0bcc5;
    --shade-11: #d5d2d9;
    --shade-12: #eae8eb;
    
    --purple-0: #bb86fc;
    --purple-1: #d6b6fd;
    --purple-2: #e4cffe;
    
    --green-0: #03dac6;
    --green-1: #68e9dd;
    --green-2: #9af0e8;
    
    --pink-0: #ff3585;
    --pink-1: #ff67a3;
    --pink-2: #ff9ac2;
    
    --yellow-0: #ffe85e;
    --yellow-1: #fff3af;
    
    --blue-0: #17acff;
    --blue-1: #74cdff;
}

::selection {
    color: #fff;
    background: var(--purple-1);
}

body {
    padding: 0;
    margin: 0;
	/*font-family: 'Mukta', sans-serif;*/
    font-family: 'Nunito', sans-serif;
	background-color: var(--shade-1);
}

ul {
    list-style: none;
}


button {
    display: block;
    position: relative;
    margin: 0px 5px 0px 5px;
    padding: 12px 18px 12px 18px;
	font-size: 10px;
	font-weight: 600;
	letter-spacing: 0.07em;
	text-transform: uppercase;
    color: var(--shade-8);
    border: none;
	border-radius: 2px;
    background: var(--shade-4);
    transition: 0.3s ease;
}

button:hover {
    cursor: pointer;
    color: var(--shade-12);
    background: var(--shade-5);  
}

button:focus {
    outline: none;
    color: var(--shade-12);
    background: var(--shade-5);
}


/*
.button {
    display: block;
    position: relative;
    margin: 0;
    padding: 12px 18px 12px 18px;
	font-size: 11px;
	font-weight: 700;
	letter-spacing: 0.05em;
	text-transform: uppercase;
    color: #001c26;
    border: none;
    outline: none;
    background-color: #91F396;
    transition: 0.3s ease;
}

.button:hover {
    cursor: pointer;
    background-color: #adf6b1;  
}
*/

#modalscreen {
    display: grid;
    visibility: hidden;
    justify-content: center;
    align-items: center;
    grid-gap: 15px;
    padding: 15px;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    background-color: rgba(0,0,0,0.8);
    opacity: 0;
    transition: ease 0.2s;
}

.modal-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 50px;
    max-width: 500px;
    color: var(--shade-12);
    background-color: var(--shade-2);
    opacity: 1;
    transform: scale(0);
    transition: ease 0.2s;
}

.controls {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin: 0;
    padding: 15px 0px 15px 0px;
    width: 100%;
    height: auto;
    background: var(--shade-2);
}

.btn {
    display: block;
    position: relative;
    margin: 0px 5px 0px 5px;
    padding: 12px 18px 12px 18px;
	font-size: 11px;
	font-weight: 700;
	letter-spacing: 0.05em;
	text-transform: uppercase;
    color: var(--shade-8);
    border: none;
	border-radius: 2px;
    background: var(--shade-4);
    transition: 0.3s ease;
}

/* Add a light grey background on mouse-over */
.btn:hover, .btn.active {
    cursor: pointer;
    color: var(--shade-12);
    background: var(--shade-5); 
}

.search-input {
    display: block;
    position: relative;
    margin: 0px 5px 0px 5px;
    padding: 12px 18px 12px 12px;
	font-size: 11px;
	font-weight: 500;
	letter-spacing: 0.05em;
	text-transform: uppercase;
    color: var(--shade-12);
    border: none;
	border-radius: 2px;
    outline: solid 0px none;
    background: var(--shade-1);
}

.search-input:focus {
    border: none;
    outline: solid 1px var(--shade-10);
}

.search-input::placeholder {
    color: var(--shade-6);
}

.grid-container {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
	grid-gap: 15px;
	margin: 0 auto;
    padding: 15px;
}

.grid-item {
	display: none;
	position: relative;
	padding-top: 120%;
	width: auto;
	height: 0;
	border-radius: 2px;
    /*box-shadow: 0px 5px 10px -8px rgba(0,0,0,1);*/
	background-color: var(--shade-2);
}

/* The "show" class is added to the filtered elements */
.show {
	display: block;
}

.inner-column {
	display: flex;
	flex-direction: column;
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
}

.flex-row {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.space-between {
	justify-content: space-between;
}

.center-children {
	justify-content: center;
    align-items: center;
}

.img-container {
	display: block;
	position: relative;
	padding-top: 65%;
	width: auto;
	height: 0;
	background-color: none;
	background-size: cover;
	background-position: center;
}

.img-container::before {
	content: "";
	display: block;
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	background-color: rgba(0,0,0,0);
	background: rgb(0,0,0,0);
	background: -webkit-linear-gradient(bottom, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 35%);
	background: -o-linear-gradient(bottom, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 35%);
	background: linear-gradient(to top, rgba(0,0,0,1) 0%, rgba(0,0,0,0) 35%);
	opacity: 0.75;
	transition: 0.3s;
}

.img-container:hover::before {
    background-color: rgba(0,0,0,0.5);
}

.img-container .expand-icon {
	visibility: hidden;
    background-color: none;
    opacity: 0;
    transition: 0.2s ease;
}

.img-container:hover .expand-icon {
	visibility: visible;
    cursor: pointer;
	opacity: 1;
}

.img-container .expand-icon:hover {
    background-color: #fff;
}

.img-container .expand-icon:hover svg {
    fill: #001c26;
}

.img-inner {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
	position: relative;
	width: auto;
	height: auto;
	padding: 15px;
}

.watch-status {
	display: block;
	position: relative;
	margin: 0;
	padding: 8px 10px 8px 10px;
	font-size: 10px;
	font-weight: 700;
	letter-spacing: 0.07em;
	text-transform: uppercase;
	/*color: #fff;*/
    color: var(--shade-0);
	border-radius: 2px;
	background-color: var(--green-0);
}

.watch-status[data-id="watching"] {
    color: var(--shade-0);
    background-color: var(--pink-0);
}

.watch-status[data-need-to-watch="x"] {
    color: var(--shade-10);
    background-color: var(--shade-2);
    opacity: 0.8;
}

.watch-status[data-need-to-watch="11"] {
    color: var(--shade-0);
    background-color: var(--purple-0);
}

.watch-status[data-need-to-watch="10"] {
    color: var(--shade-0);
    background-color: var(--pink-0);
}

.watch-status[data-need-to-watch="9"] {
    color: var(--shade-0);
    background-color: var(--pink-1);
}

.watch-status[data-need-to-watch="8"] {
    color: var(--shade-0);
    background-color: var(--pink-2);
}

.watch-status[data-need-to-watch="7"] {
    color: var(--shade-0);
    background-color: var(--purple-0);
}

.watch-status[data-need-to-watch="6"] {
    color: var(--shade-0);
    background-color: var(--purple-1);
}

.watch-status[data-need-to-watch="5"] {
    color: var(--shade-0);
    background-color: var(--purple-2);
}

.watch-status[data-need-to-watch="4"] {
    color: var(--shade-0);
    background-color: var(--green-0);
}

.watch-status[data-need-to-watch="3"] {
    color: var(--shade-0);
    background-color: var(--green-1);
}

.watch-status[data-need-to-watch="2"] {
    color: var(--shade-0);
    background-color: var(--green-2);
}

.watch-status[data-need-to-watch="1"] {
    color: var(--shade-0);
    background-color: var(--yellow-1);
}

.img-inner .type {
	display: block;
	position: relative;	
	margin: 0;
	padding: 8px 10px 8px 10px;
	font-size: 10px;
	font-weight: 400;
	letter-spacing: 0.07em;
	text-transform: uppercase;
	color: var(--shade-12);
	border-radius: 2px;
	background-color: var(--shade-0);
}

/*-- should it be named release-status? --*/
.img-inner .air-status {
	display: block;
	position: relative;	
	margin: 0;
	padding: 8px 10px 8px 10px;
	font-size: 10px;
	font-weight: 400;
	letter-spacing: 0.07em;
	text-transform: uppercase;
	color: var(--shade-12);
	border-radius: 2px;
	background-color: var(--shade-0);
}

/*---FLEX---*/
.grid-item-info {
	display: flex;
	flex-direction: column;
    justify-content: space-between;
	position: relative;
    padding: 15px;
    height: 100%;
    background-color: none;
}

.info-inner {
    display: block;
    max-height: 120px;
    text-overflow: ellipsis;
    overflow: hidden;
}

.jpntitle {
 	display: block;
	position: relative;	
	margin: 0;
	font-size: 13px;
	font-weight: 400;
    /*line-height: 1.3em;*/
	color: var(--shade-8);
}

.engtitle {
	display: block;
	position: relative;	
	margin: 0;
	font-size: 22px;
	font-weight: 700;
    line-height: 1.2em;
	/*color: var(--shade-12);*/
    color: var(--purple-1);
}

#notes {
    display: block;
    position: relative;
    margin: 0px 5px 0px 5px;
    padding: 12px 18px 12px 18px;
	font-size: 10px;
	font-weight: 600;
	letter-spacing: 0.07em;
	text-transform: uppercase;
    color: var(--shade-8);
    border: none;
	border-radius: 2px;
    background: var(--shade-4);
    transition: 0.3s ease;
}

#notes:hover {
    cursor: pointer;
    color: var(--shade-12);
    background: var(--shade-5);  
}

#notes:focus {
    outline: none;
    color: var(--shade-12);
    background: var(--shade-5);
}

/*
.icon {
	display: block;
	position: relative;	
	margin: 0;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    border: solid 1px #001c26;
    background-color: none;
}
*/

.icon-img {
	display: block;
	position: relative;	
	margin: 0;
    width: 25px;
    height: auto;
}

.expand-icon {
	display: flex;
	position: relative;	
	margin: 0;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border: solid 1px #fff;
    background-color: none;
}

.expand-icon svg {
	width: 18px;
    height: auto;
    fill: #fff;
    transition: 0.2s ease;
}

@media screen and (max-width: 760px) {
    
    .search-input {
        margin-top: 10px;
    }

    .grid-item {
        position: relative;
        padding-top: 100%;
        width: auto;
        height: 0;
        border-radius: 2px;
        /*box-shadow: 0px 5px 10px -8px rgba(0,0,0,1);*/
        background-color: var(--shade-2);
    }
 
    .img-container {
        display: block;
        position: relative;
        padding-top: 56.25%;
        width: auto;
        height: 0;
        background-color: none;
        background-size: cover;
        background-position: center;
    }
    
}

